MCP Tools Reference: bigquerymigration.googleapis.com

Tool: explain_translation

Explains the SQL translation for a given translation ID.

The following code sample shows how to use curl to call the explain_translation MCP tool.

Curl Request
curl --location 'https://bigquerymigration.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "explain_translation",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for ExplainTranslation.

ExplainTranslationRequest

JSON representation
{
  "projectNumber": string,
  "location": string,
  "translation": string
}
Fields
projectNumber

string

Required. The Google Cloud project number.

location

string

Required. The location.

translation

string

Required. The translation ID.

Output Schema

Response message for ExplainTranslation.

ExplainTranslationResponse

JSON representation
{
  "explanation": string
}
Fields
explanation

string

The string that explains the translation.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌